···123124# nix>=2.20 rejects adding symlinked paths to the store, so use realpath
125# to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
126-tmpPath="$(realpath "$(mktemp -d "${TMPDIR:-/tmp}/skopeo-copy-tmp-XXXXXXXX")")"
127trap "rm -rf \"$tmpPath\"" EXIT
128129tmpFile="$tmpPath/$(get_name $finalImageName $finalImageTag)"
···123124# nix>=2.20 rejects adding symlinked paths to the store, so use realpath
125# to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
126+tmpPath="$(realpath "$(mktemp -d --tmpdir skopeo-copy-tmp-XXXXXXXX)")"
127trap "rm -rf \"$tmpPath\"" EXIT
128129tmpFile="$tmpPath/$(get_name $finalImageName $finalImageTag)"
···44if test -z "$finalPath"; then
45 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
46 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
47- tmpPath="$(realpath "$(mktemp -d "${TMPDIR:-/tmp}/bzr-checkout-tmp-XXXXXXXX")")"
48 trap "rm -rf \"$tmpPath\"" EXIT
4950 tmpFile="$tmpPath/$dstFile"
···44if test -z "$finalPath"; then
45 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
46 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
47+ tmpPath="$(realpath "$(mktemp -d --tmpdir bzr-checkout-tmp-XXXXXXXX)")"
48 trap "rm -rf \"$tmpPath\"" EXIT
4950 tmpFile="$tmpPath/$dstFile"
+1-1
pkgs/build-support/fetchcvs/nix-prefetch-cvs
···22mkTempDir() {
23 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
24 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
25- tmpPath="$(realpath "$(mktemp -d "${TMPDIR:-/tmp}/nix-prefetch-cvs-XXXXXXXX")")"
26 trap removeTempDir EXIT
27}
28
···22mkTempDir() {
23 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
24 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
25+ tmpPath="$(realpath "$(mktemp -d --tmpdir nix-prefetch-csv-XXXXXXXX)")"
26 trap removeTempDir EXIT
27}
28
+1-2
pkgs/build-support/fetchgit/nix-prefetch-git
···453 # If we don't know the hash or a path with that hash doesn't exist,
454 # download the file and add it to the store.
455 if test -z "$finalPath"; then
456-457 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
458 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
459- tmpPath="$(realpath "$(mktemp -d "${TMPDIR:-/tmp}/git-checkout-tmp-XXXXXXXX")")"
460 exit_handlers+=(remove_tmpPath)
461462 tmpFile="$tmpPath/$(url_to_name "$url" "$rev")"
···453 # If we don't know the hash or a path with that hash doesn't exist,
454 # download the file and add it to the store.
455 if test -z "$finalPath"; then
0456 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
457 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
458+ tmpPath="$(realpath "$(mktemp -d --tmpdir git-checkout-tmp-XXXXXXXX)")"
459 exit_handlers+=(remove_tmpPath)
460461 tmpFile="$tmpPath/$(url_to_name "$url" "$rev")"
+1-2
pkgs/build-support/fetchhg/nix-prefetch-hg
···42# If we don't know the hash or a path with that hash doesn't exist,
43# download the file and add it to the store.
44if [[ -z "$finalPath" ]]; then
45-46 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
47 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
48- tmpPath="$(realpath "$(mktemp -d "${TMPDIR:-/tmp}/hg-checkout-tmp-XXXXXXXX")")"
49 cleanup() { x=$?; rm -rf "$tmpPath"; exit $x; }; trap cleanup EXIT
5051 tmpArchive="$tmpPath/hg-archive"
···42# If we don't know the hash or a path with that hash doesn't exist,
43# download the file and add it to the store.
44if [[ -z "$finalPath" ]]; then
045 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
46 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
47+ tmpPath="$(realpath "$(mktemp -d --tmpdir hg-checkout-tmp-XXXXXXXX)")"
48 cleanup() { x=$?; rm -rf "$tmpPath"; exit $x; }; trap cleanup EXIT
4950 tmpArchive="$tmpPath/hg-archive"
+1-1
pkgs/build-support/fetchsvn/nix-prefetch-svn
···43if test -z "$finalPath"; then
44 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
45 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
46- tmpPath="$(realpath "$(mktemp -d "${TMPDIR:-/tmp}/svn-checkout-tmp-XXXXXXXX")")"
47 trap "rm -rf \"$tmpPath\"" EXIT
4849 tmpFile="$tmpPath/$dstFile"
···43if test -z "$finalPath"; then
44 # nix>=2.20 rejects adding symlinked paths to the store, so use realpath
45 # to resolve to a physical path. https://github.com/NixOS/nix/issues/11941
46+ tmpPath="$(realpath "$(mktemp -d --tmpdir svn-checkout-tmp-XXXXXXXX)")"
47 trap "rm -rf \"$tmpPath\"" EXIT
4849 tmpFile="$tmpPath/$dstFile"